//
//  GSSVGtoPath.h
//  GlyphsCore
//
//  Created by Georg Seifert on 16.11.11.
//  Copyright 2011 schriftgestaltung.de. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class GSPathPen;
@class GSLayer;

@interface GSSVGtoPath : NSObject

@property NSRect bounds;

@property NSAffineTransform *transformation;

- (BOOL)readString:(NSString *)SVGString toLayer:(GSLayer *)layer error:(NSError **)error;

- (BOOL)readFile:(NSURL *)URL toLayer:(GSLayer *)layer error:(NSError **)error;

- (void)setUpPen:(GSLayer *)layer scale:(CGFloat)scale offsetY:(CGFloat)offsetY;

- (BOOL)drawSVGNode:(NSXMLElement *)node error:(NSError *__autoreleasing *)error;

- (BOOL)drawPathString:(NSString *)pathString error:(NSError *__autoreleasing *)error;
@end
